package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.EventoExtraDAO;
import com.rjconsultores.ventaboletos.entidad.EventoExtra;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtra;

@Repository("eventoExtraDAO")
public class EventoExtraHibernateDAO extends
		GenericHibernateDAO<EventoExtra, Integer> implements EventoExtraDAO {

	@Autowired
	public EventoExtraHibernateDAO(
			@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<EventoExtra> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return c.list();
	}

	public List<EventoExtra> obtenerPorTipo(TipoEventoExtra tipoEventoExtra) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq("tipoeventoextraId", tipoEventoExtra.getTipoeventoextraId()));
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		return c.list();
	}
}
